From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/net-imap/
Date: Thu, 5 Sep 2024 06:04:23 +0000 (UTC) [thread overview]
Message-ID: <1725515690.f49d8fb491e6f98863b5b5de7ffef73c5112d3a2.graaff@gentoo> (raw)
commit: f49d8fb491e6f98863b5b5de7ffef73c5112d3a2
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 5 05:54:50 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Sep 5 05:54:50 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f49d8fb4
dev-ruby/net-imap: add 0.4.16
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/net-imap/Manifest | 1 +
dev-ruby/net-imap/net-imap-0.4.16.ebuild | 39 ++++++++++++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-ruby/net-imap/Manifest b/dev-ruby/net-imap/Manifest
index 6f66547be3d9..b4a057bbc827 100644
--- a/dev-ruby/net-imap/Manifest
+++ b/dev-ruby/net-imap/Manifest
@@ -4,3 +4,4 @@ DIST net-imap-0.4.12.tar.gz 243885 BLAKE2B d3ccd6f799671f2101c38fcba437ae3962a61
DIST net-imap-0.4.13.tar.gz 247862 BLAKE2B a5bf43e86dade15e03c070ec9771c21ace8dc04504393fe768c289089e1891be4789475e45839ea5f1a2ae2257434dca394495f91340daf44e1610adf3f23d4b SHA512 7bb04fea8e4b322e685a5233b0cf6da9e7b32a87297c075e46d9681d46c9bf52228295590f53cb00012a29bd8ebf488eaca748c312da674787c38e32d6555d6a
DIST net-imap-0.4.14.tar.gz 251100 BLAKE2B 577eb64bbbb2de8ae25b6840e88153f7398a86795ee26bb0900838ffc0a5c5d5962e3e51af3a4e40be77d25c7782d37d4380bb10c128b27ff7d459c0974c581e SHA512 dba93392fb12870b10e6bd351091dfdd77f66a8e63b1ad9ef20e59a701194636ba44d91277fb105f24780677191637c122785599e880e7c175259f114edd4ae5
DIST net-imap-0.4.15.tar.gz 251828 BLAKE2B 0f02b9bea1b4268e5806fa6b19ba0da4151a045556b661142cbaeb770275504287991b95fd095626d6c78726ba2ce1fd0c3b95c63038dd07e446c3b3db18acc5 SHA512 a06455e425a8750c7fc730b8feed041d49964bb14abf2c0c6ad6cde829dff26fee792ed2aa286a3d7abb7dc56b34b663e629e95482c443cd14f67e45db4bbb60
+DIST net-imap-0.4.16.tar.gz 251944 BLAKE2B 46260bb2f9225da91189b17160c18f82f9b1f4442f1dc7fd85fb901684e61da466cefa0faf004dc76f1c8f882e978aff3003e97bae4d76bb7c4595088ef86874 SHA512 de1a6afba0276f42b51c0f670a356ad22889f2058bb6183c3c9b2ef387c08b7a1e577668506d7ec3b103eb3ad6a945352483c8673147125572af468ad84d5202
diff --git a/dev-ruby/net-imap/net-imap-0.4.16.ebuild b/dev-ruby/net-imap/net-imap-0.4.16.ebuild
new file mode 100644
index 000000000000..78de90b9b8ae
--- /dev/null
+++ b/dev-ruby/net-imap/net-imap-0.4.16.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="net-imap.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby client api for Internet Message Access Protocol"
+HOMEPAGE="https://github.com/ruby/net-imap"
+SRC_URI="https://github.com/ruby/net-imap/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_rdepend "
+ dev-ruby/date
+ dev-ruby/net-protocol
+"
+
+ruby_add_bdepend "test? (
+ dev-ruby/digest
+ dev-ruby/strscan
+ dev-ruby/test-unit
+ dev-ruby/test-unit-ruby-core
+)"
+
+all_ruby_prepare() {
+ sed -e 's/__dir__/"."/' \
+ -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
next reply other threads:[~2024-09-05 6:04 UTC|newest]
Thread overview: 68+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-09-05 6:04 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-15 9:19 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/net-imap/ Arthur Zamarin
2024-11-14 18:41 Sam James
2024-11-14 4:35 Sam James
2024-11-14 4:00 Sam James
2024-11-14 3:23 Sam James
2024-11-14 3:17 Sam James
2024-11-14 2:49 Sam James
2024-11-11 7:39 Hans de Graaff
2024-11-04 19:35 Fabian Groffen
2024-10-14 5:56 Hans de Graaff
2024-10-12 15:05 Sam James
2024-10-11 8:47 Hans de Graaff
2024-10-10 16:20 Arthur Zamarin
2024-10-09 2:53 Jakov Smolić
2024-10-06 11:52 Sam James
2024-08-29 6:04 Hans de Graaff
2024-06-24 5:30 Hans de Graaff
2024-06-17 5:25 Hans de Graaff
2024-06-02 5:43 Hans de Graaff
2024-05-26 7:00 Sam James
2024-05-26 7:00 Sam James
2024-05-26 7:00 Sam James
2024-05-26 7:00 Sam James
2024-05-26 7:00 Sam James
2024-05-26 7:00 Sam James
2024-05-09 4:59 Hans de Graaff
2024-02-26 15:56 Hans de Graaff
2024-02-08 7:31 Hans de Graaff
2023-12-26 15:53 Hans de Graaff
2023-12-24 7:55 Hans de Graaff
2023-12-24 7:55 Hans de Graaff
2023-12-12 7:11 Hans de Graaff
2023-12-01 6:18 Hans de Graaff
2023-12-01 6:18 Hans de Graaff
2023-11-22 7:09 Hans de Graaff
2023-11-14 6:52 Hans de Graaff
2023-11-14 6:35 Hans de Graaff
2023-11-04 7:06 Hans de Graaff
2023-11-02 6:51 Hans de Graaff
2023-10-21 5:09 Hans de Graaff
2023-10-13 14:14 Arthur Zamarin
2023-10-12 23:32 Sam James
2023-10-12 12:05 Sam James
2023-10-12 10:33 Sam James
2023-10-12 5:48 Sam James
2023-10-12 5:48 Sam James
2023-10-12 5:48 Sam James
2023-10-12 5:48 Sam James
2023-10-12 5:19 Hans de Graaff
2023-08-02 16:55 Arthur Zamarin
2023-08-02 15:11 Sam James
2023-08-02 5:01 Sam James
2023-08-02 4:48 Sam James
2023-08-02 4:45 Sam James
2023-08-02 4:45 Sam James
2023-07-30 9:32 Hans de Graaff
2023-06-13 5:20 Hans de Graaff
2023-03-31 1:03 Sam James
2023-03-04 14:42 Hans de Graaff
2023-03-04 10:25 Hans de Graaff
2023-02-19 9:53 Hans de Graaff
2023-02-04 7:08 Hans de Graaff
2022-12-24 15:00 Hans de Graaff
2022-12-24 15:00 Hans de Graaff
2022-10-01 7:06 Hans de Graaff
2022-04-09 10:35 Hans de Graaff
2022-02-13 9:06 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1725515690.f49d8fb491e6f98863b5b5de7ffef73c5112d3a2.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox